* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body {
    background: #96ebd4;
    color: #ebfffc;
    font-family: 'Josefin Sans', sans-serif;
}

.card {
    width: 90%;
    max-width: 750px;
    margin: 100px auto 0;
    padding: 40px 35px;
    text-align: center;
    background: linear-gradient(135deg, #00feba, #5b548a);
    border-radius: 50px;
    box-shadow: 0px 30px 60px #222;
}
.search {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.search input {
    border: 0;
    outline: 0;
    padding: 10px 25px;
    background: #ebfffc;
    color: #555;
    height: 60px;
    border-radius: 25px;
    margin-right: 16px;
    font-size: 18px;
    transition: 1s;
    flex: 1;

}
.search input:focus {
    box-shadow: 10px 10px 20px #222;

}
.search input:focus::placeholder {
    opacity: .4;
}
.search button {
    border: 0;
    outline: 0;
    background: #ebfffc;
    border-radius: 50%;
    height: 60px;
    width: 60px;
    cursor: pointer;
    transition: 1s;

}
.search button img {
    width: 16px;
    transition: .4s;
}
.search button:hover {
    box-shadow: 10px 10px 20px #222;
}
.search button:hover img {
    transform: rotate(360deg);
    scale: 1.2;
}
.weather img {
    max-width: 100%;
    border-radius: 50px;

}
.weather-icon {
    width: 170px;
    margin-top: 30px;
    animation: moving 1.5s linear infinite alternate;
    position: relative;

}
@keyframes moving {
    100% {
        scale: 1.1;
    }
}
.weather h1 {
    font-size: 80px;
    font-weight: 500;
}
.weather h2 {
    font-size: 45px;
    font-weight: 400;
    margin-top: -10px;
}
.details {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    margin-top: 50px;
}
.col {
    display: flex;
    align-items: center;
    text-align: left;
}
.col img {
    width: 40px;
    margin-right: 10px;

}
.details .humidity,
.details .wind {
    font-size: 28px;
    margin-top: -10px;
}

.weather {
    display: none;
}
.error,.empty-error {
    text-align: center;
    margin-left: 10px;
    font-size: 24px;
    margin-top: 20px;
    display: none;
}